---
lang: en
title: 'API docs: context.defaultconfigurationresolver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.defaultconfigurationresolver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [DefaultConfigurationResolver](./context.defaultconfigurationresolver.md)

## DefaultConfigurationResolver class

Resolver for configurations of bindings

**Signature:**

```typescript
export declare class DefaultConfigurationResolver implements ConfigurationResolver 
```
**Implements:** [ConfigurationResolver](./context.configurationresolver.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(context)](./context.defaultconfigurationresolver._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `DefaultConfigurationResolver` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[context](./context.defaultconfigurationresolver.context.md)


</td><td>

`readonly`


</td><td>

[Context](./context.context.md)


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[getConfigAsValueOrPromise(key, propertyPath, resolutionOptions)](./context.defaultconfigurationresolver.getconfigasvalueorpromise.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


